Index: main/waeup.aaue/trunk/src/waeup/aaue/README.txt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/README.txt	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/README.txt	(revision 8444)
@@ -1,3 +1,3 @@
-The waeup.uniben package
+The waeup.aaue package
 ************************
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/applicant.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/applicant.py	(revision 8444)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.applicant import Applicant, ApplicantFactory
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import(
+from waeup.aaue.applicants.interfaces import(
     ICustomApplicant, IUGApplicantEdit, IPGApplicantEdit)
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/batching.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/batching.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/batching.py	(revision 8444)
@@ -21,5 +21,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from waeup.uniben.applicants.interfaces import ICustomApplicant
+from waeup.aaue.applicants.interfaces import ICustomApplicant
 
 class CustomApplicantProcessor(ApplicantProcessor):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/browser.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 8444)
@@ -35,8 +35,8 @@
     PaymentReceiptActionButton)
 from waeup.kofa.applicants.pdf import PDFApplicationSlip
-from waeup.uniben.applicants.interfaces import (
+from waeup.aaue.applicants.interfaces import (
     IPGApplicant, IUGApplicant, IPGApplicantEdit, IUGApplicantEdit,
     ICustomApplicantOnlinePayment)
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 #class RequestCallbackActionButton(RequestCallbackActionButton):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/export.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/export.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/export.py	(revision 8444)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
 from waeup.kofa.applicants.export import ApplicantsExporter
-from waeup.uniben.applicants.interfaces import IUGApplicant, IPGApplicant
+from waeup.aaue.applicants.interfaces import IUGApplicant, IPGApplicant
 
 class CustomApplicantsExporter(ApplicantsExporter):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/interfaces.py	(revision 8444)
@@ -27,8 +27,8 @@
 from waeup.kofa.schema import FormattedDate
 from waeup.kofa.students.vocabularies import nats_vocab
-from waeup.uniben.interfaces import (
+from waeup.aaue.interfaces import (
     lgas_vocab, high_qual, high_grade, exam_types)
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.payments.interfaces import ICustomOnlinePayment
+from waeup.aaue.interfaces import MessageFactory as _
+from waeup.aaue.payments.interfaces import ICustomOnlinePayment
 
 class IUGApplicant(IApplicantBaseData):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/payment.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/payment.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/payment.py	(revision 8444)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.aaue.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/tests.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests.py	(revision 8444)
@@ -33,6 +33,6 @@
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
 from waeup.kofa.interfaces import IBatchProcessor
-from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.applicants.export import CustomApplicantsExporter
+from waeup.aaue.testing import FunctionalLayer
+from waeup.aaue.applicants.export import CustomApplicantsExporter
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/applicants/utils.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 8444)
@@ -23,5 +23,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, InvalidTransitionError
 from waeup.kofa.applicants.utils import ApplicantsUtils
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/pages.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/browser/pages.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/pages.py	(revision 8444)
@@ -19,5 +19,5 @@
 from waeup.kofa.browser.pages import (
     SessionConfigurationAddFormPage, SessionConfigurationManageFormPage)
-from waeup.uniben.interfaces import (
+from waeup.aaue.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/resources.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/browser/resources.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/resources.py	(revision 8444)
@@ -21,10 +21,10 @@
     )
 
-#: All local resources are registered under the name ``waeup_uniben``.
-waeup_uniben = Library('waeup_uniben', 'static')
+#: All local resources are registered under the name ``waeup_custom``.
+waeup_custom = Library('waeup_custom', 'static')
 
 custom_theme = ResourceInclusion(
-    waeup_uniben, 'custom_theme.css',
+    waeup_custom, 'custom_theme.css',
     depends = [waeup_base_css])
 
-favicon = ResourceInclusion(waeup_uniben, 'favicon.ico')
+favicon = ResourceInclusion(waeup_custom, 'favicon.ico')
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/static/custom_theme.css
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/browser/static/custom_theme.css	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/static/custom_theme.css	(revision 8444)
@@ -44,5 +44,4 @@
 
 body {
-  background-color: #f3eff2;
 }
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/browser/tests.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/tests.py	(revision 8444)
@@ -22,5 +22,5 @@
 from zope.security.interfaces import Unauthorized
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 from waeup.kofa.app import University
 
@@ -52,5 +52,5 @@
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open('http://localhost/app/configuration')
-        self.assertMatches('...Uniben Theme...', self.browser.contents)
+        self.assertMatches('...AAUE Theme...', self.browser.contents)
         self.browser.getControl(name="form.skin").value = ['custom theme']
         self.browser.getControl("Save").click()
@@ -58,8 +58,8 @@
         return
 
-    def test_access_live_url(self):
-        # We can't access the system with basic authentication
-        self.browser.addHeader('Authorization', 'Basic grok:grok')
-        self.assertRaises(
-            Unauthorized, self.browser.open, 'https://uniben-kofa.waeup.org')
-        return
+    #def test_access_live_url(self):
+    #    # We can't access the system with basic authentication
+    #    self.browser.addHeader('Authorization', 'Basic grok:grok')
+    #    self.assertRaises(
+    #        Unauthorized, self.browser.open, 'https://aaue.waeup.org')
+    #    return
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/theming.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/browser/theming.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/theming.py	(revision 8444)
@@ -18,7 +18,7 @@
 import grok
 from waeup.kofa.browser.interfaces import ITheme
-from waeup.uniben.browser.resources import custom_theme, favicon
+from waeup.aaue.browser.resources import custom_theme, favicon
 
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 class CustomTheme(grok.GlobalUtility):
@@ -28,5 +28,5 @@
     grok.name('custom theme')
 
-    description = _(u'Uniben Theme')
+    description = _(u'AAUE Theme')
 
     def getResources(self):
Index: main/waeup.aaue/trunk/src/waeup/aaue/configuration.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/configuration.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/configuration.py	(revision 8444)
@@ -24,5 +24,5 @@
 from waeup.kofa.configuration import (
     SessionConfigurationFactory, SessionConfiguration)
-from waeup.uniben.interfaces import (
+from waeup.aaue.interfaces import (
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/configure.zcml
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/configure.zcml	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/configure.zcml	(revision 8444)
@@ -1,7 +1,7 @@
 <configure xmlns="http://namespaces.zope.org/zope">
 
-  <include package="waeup.uniben" file="locales.zcml" />
+  <include package="waeup.aaue" file="locales.zcml" />
   <include package="grok" />
-  <includeOverrides package="waeup.uniben" file="overrides.zcml" />
+  <includeOverrides package="waeup.aaue" file="overrides.zcml" />
 
 </configure>
Index: main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/etranzact/browser.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/etranzact/browser.py	(revision 8444)
@@ -24,7 +24,7 @@
 from waeup.kofa.students.viewlets import ApprovePaymentActionButton as APABStudent
 from waeup.kofa.applicants.viewlets import ApprovePaymentActionButton as APABApplicant
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.aaue.interfaces import MessageFactory as _
+from waeup.aaue.students.interfaces import ICustomStudentOnlinePayment
+from waeup.aaue.applicants.interfaces import ICustomApplicantOnlinePayment
 
 #TERMINAL_ID = '0500000003'
Index: main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/etranzact/tests.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 8444)
@@ -20,5 +20,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/ftesting.zcml
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/ftesting.zcml	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/ftesting.zcml	(revision 8444)
@@ -3,10 +3,10 @@
    xmlns:kofa="http://namespaces.waeup.org/kofa"
    i18n_domain="waeup.custom"
-   package="waeup.uniben"
+   package="waeup.aaue"
    >
 
   <include package="grok" />
-  <includeOverrides package="waeup.uniben" />
-  <includeOverrides package="waeup.uniben" file="mail.zcml"/>
+  <includeOverrides package="waeup.aaue" />
+  <includeOverrides package="waeup.aaue" file="mail.zcml"/>
 
   <!-- Where should the datacenter reside by default? -->
Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/interfaces.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 8444)
@@ -21,5 +21,5 @@
 from waeup.kofa.interfaces import (SimpleKofaVocabulary,
     ISessionConfiguration, academic_sessions_vocab)
-from waeup.uniben.utils.lgas import LGAS
+from waeup.aaue.utils.lgas import LGAS
 
 _ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.custom')
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/interswitch/browser.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/browser.py	(revision 8444)
@@ -30,14 +30,14 @@
 from waeup.kofa.applicants.viewlets import ApprovePaymentActionButton as APABApplicant
 from waeup.kofa.payments.interfaces import payment_categories
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.students.interfaces import ICustomStudentOnlinePayment
+from waeup.aaue.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.aaue.interfaces import MessageFactory as _
 
 PRODUCT_ID = '57'
-SITE_NAME = 'uniben-kofa.waeup.org'
+SITE_NAME = 'aaue.waeup.org'
 PROVIDER_ACCT = '1010764827'
 PROVIDER_BANK_ID = '117'
 PROVIDER_ITEM_NAME = 'BT Education'
-INSTITUTION_NAME = 'Uniben'
+INSTITUTION_NAME = 'AAUE'
 CURRENCY = '566'
 #QUERY_URL = 'https://webpay.interswitchng.com/paydirect/services/TransactionQueryURL.aspx'
Index: main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/interswitch/tests.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interswitch/tests.py	(revision 8444)
@@ -20,5 +20,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.configuration import SessionConfiguration
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 # Also run tests that send requests to external servers?
Index: main/waeup.aaue/trunk/src/waeup/aaue/overrides.zcml
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/overrides.zcml	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/overrides.zcml	(revision 8444)
@@ -9,5 +9,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="waeup.uniben.widgets.phonewidget.CustomPhoneWidget"
+      factory="waeup.aaue.widgets.phonewidget.CustomPhoneWidget"
       permission="zope.Public"
       />
Index: main/waeup.aaue/trunk/src/waeup/aaue/permissions.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/permissions.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/permissions.py	(revision 8444)
@@ -20,10 +20,10 @@
 
 class CRPUOfficer(grok.Role):
-    """ Permissions of Uniben CRPU members.
+    """ Permissions of AAUE staff.
 
     """
 
     grok.name('waeup.CRPUOfficer')
-    grok.title(u'Uniben CRPU Officer')
+    grok.title(u'AAUE Officer')
     grok.permissions('waeup.managePortal', 'waeup.manageUsers',
                      'waeup.viewAcademics', 'waeup.manageAcademics',
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/batching.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/batching.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/batching.py	(revision 8444)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.interfaces import (
     ICustomStudent,
     )
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/browser.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/browser.py	(revision 8444)
@@ -33,10 +33,10 @@
 from waeup.kofa.students.viewlets import (
     PaymentReceiptActionButton)
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.interfaces import (
     ICustomStudentBase, ICustomStudent, ICustomStudentPersonal,
     ICustomUGStudentClearance,ICustomPGStudentClearance,
     ICustomStudentOnlinePayment,
     )
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 #class RequestCallbackActionButton(RequestCallbackActionButton):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/interfaces.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/interfaces.py	(revision 8444)
@@ -29,8 +29,8 @@
 from waeup.kofa.students.vocabularies import (
     nats_vocab, contextual_reg_num_source)
-from waeup.uniben.interfaces import (
+from waeup.aaue.interfaces import (
     lgas_vocab, high_qual, high_grade, exam_types)
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.payments.interfaces import ICustomOnlinePayment
+from waeup.aaue.interfaces import MessageFactory as _
+from waeup.aaue.payments.interfaces import ICustomOnlinePayment
 
 class ICustomStudentBase(IStudentBase):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/payments.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/payments.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/payments.py	(revision 8444)
@@ -25,5 +25,5 @@
 from waeup.kofa.students.payments import StudentOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.students.interfaces import ICustomStudentOnlinePayment
+from waeup.aaue.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/student.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/student.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/student.py	(revision 8444)
@@ -23,5 +23,5 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.students.student import Student, StudentFactory
-from waeup.uniben.students.interfaces import ICustomStudent, IStudentNavigation
+from waeup.aaue.students.interfaces import ICustomStudent, IStudentNavigation
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/studycourse.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/studycourse.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/studycourse.py	(revision 8444)
@@ -23,5 +23,5 @@
 from waeup.kofa.students.studycourse import (
     StudentStudyCourse, StudentStudyCourseFactory)
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.interfaces import (
     ICustomStudentStudyCourse, IStudentNavigation)
 from zope.interface import implementedBy
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/studylevel.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/studylevel.py	(revision 8444)
@@ -27,5 +27,5 @@
     StudentStudyLevel, CourseTicket,
     CourseTicketFactory, StudentStudyLevelFactory)
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.interfaces import (
     ICustomStudentStudyLevel, IStudentNavigation, ICustomCourseTicket)
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 8444)
@@ -28,8 +28,8 @@
 from waeup.kofa.students.batching import StudentProcessor
 from waeup.kofa.students.interfaces import IStudentsUtils
-from waeup.uniben.students.batching import CustomStudentProcessor
-from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.students.utils import get_school_fee
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.batching import CustomStudentProcessor
+from waeup.aaue.testing import FunctionalLayer
+from waeup.aaue.students.utils import get_school_fee
+from waeup.aaue.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudent,
     ICustomStudentStudyLevel, ICustomCourseTicket)
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_student.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/tests/test_student.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_student.py	(revision 8444)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.students.student import CustomStudent, CustomStudentFactory
-from waeup.uniben.students.studycourse import (
+from waeup.aaue.students.student import CustomStudent, CustomStudentFactory
+from waeup.aaue.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from waeup.uniben.students.studylevel import (
+from waeup.aaue.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from waeup.uniben.students.interfaces import (
+from waeup.aaue.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/utils.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 8444)
@@ -21,5 +21,5 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.accesscodes import create_accesscode
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 def get_school_fee(student):
@@ -130,5 +130,5 @@
         }
 
-    # Uniben separators
+    # AAUE separators
     SEPARATORS_DICT = {
         'form.fst_sit_fname': _(u'First Sitting Record'),
@@ -139,7 +139,7 @@
         'form.nysc_year': _(u'NYSC Information'),
         'form.employer': _(u'Employment History'),
-        'form.former_matric': _(u'Former Uniben Student'),
+        'form.former_matric': _(u'Former AAUE Student'),
         }
 
-    # Uniben prefix
-    STUDENT_ID_PREFIX = u'B'
+    # AAUE prefix
+    STUDENT_ID_PREFIX = u'E'
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/viewlets.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/students/viewlets.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/viewlets.py	(revision 8444)
@@ -22,5 +22,5 @@
 from waeup.kofa.students.browser import ExportPDFClearanceSlipPage
 
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 # LGA Identification
Index: main/waeup.aaue/trunk/src/waeup/aaue/testing.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/testing.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/testing.py	(revision 8444)
@@ -19,9 +19,9 @@
 """
 import os.path
-import waeup.uniben
+import waeup.aaue
 from zope.app.testing.functional import ZCMLLayer
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(waeup.uniben.__file__), 'ftesting.zcml')
+    os.path.dirname(waeup.aaue.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
Index: main/waeup.aaue/trunk/src/waeup/aaue/tests/test_configuration.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/tests/test_configuration.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/tests/test_configuration.py	(revision 8444)
@@ -25,9 +25,9 @@
 from waeup.kofa.tests.test_configuration import (
     ConfigurationTest, SessionConfigurationFactoryTest)
-from waeup.uniben.configuration import (
+from waeup.aaue.configuration import (
     CustomSessionConfiguration, CustomSessionConfigurationFactory)
-from waeup.uniben.interfaces import(
+from waeup.aaue.interfaces import(
     ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 class ConfigurationTest(ConfigurationTest):
Index: main/waeup.aaue/trunk/src/waeup/aaue/tests/test_datacenter.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/tests/test_datacenter.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/tests/test_datacenter.py	(revision 8444)
@@ -18,5 +18,5 @@
 from waeup.kofa.datacenter import DataCenter
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/tests/test_smtp.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/tests/test_smtp.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/tests/test_smtp.py	(revision 8444)
@@ -33,5 +33,5 @@
     send_mail)
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 #
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/utils/tests.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/tests.py	(revision 8444)
@@ -17,5 +17,5 @@
 ##
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.uniben.testing import FunctionalLayer
+from waeup.aaue.testing import FunctionalLayer
 
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/uniben/utils/utils.py	(revision 8442)
+++ main/waeup.aaue/trunk/src/waeup/aaue/utils/utils.py	(revision 8444)
@@ -21,5 +21,5 @@
 import pytz
 from waeup.kofa.utils.utils import KofaUtils, sorted_phone_prefixes
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.aaue.interfaces import MessageFactory as _
 
 INT_PHONE_PREFIXES = [