Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/pdf.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/browser/pdf.py	(revision 8448)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/pdf.py	(revision 8449)
@@ -27,9 +27,10 @@
     """
 
-    header_logo_path = os.path.join(
-        os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
-    watermark_path = os.path.join(
-        os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')
+    #header_logo_path = os.path.join(
+    #    os.path.dirname(__file__), 'static', 'pdf_logo.jpg')
+    #watermark_path = os.path.join(
+    #    os.path.dirname(__file__), 'static', 'pdf_watermark.jpg')
 
-    watermark_pos = [-25, 100]
-    logo_pos = [507, 720, 40]
+    #watermark_pos = [-25, 100]
+    #logo_pos = [507, 720, 40]
+
Index: main/waeup.aaue/trunk/src/waeup/aaue/browser/static/custom_theme.css
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/browser/static/custom_theme.css	(revision 8448)
+++ main/waeup.aaue/trunk/src/waeup/aaue/browser/static/custom_theme.css	(revision 8449)
@@ -1,25 +1,25 @@
 .topbar-inner, .topbar .fill {
-  background-color: #8A0474;
-  background-image: -moz-linear-gradient(center top , #4e0242, #8A0474);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#4e0242), to(#8A0474));
-  background-image: -moz-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -ms-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #8A0474));
-  background-image: -webkit-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -o-linear-gradient(top, #4e0242, #8A0474);
-  background-image: linear-gradient(top, #4e0242, #8A0474);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#8A0474', GradientType=0);
+  background-color: #930303;
+  background-image: -moz-linear-gradient(center top , #5f0500, #930303);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#5f0500), to(#930303));
+  background-image: -moz-linear-gradient(top, #5f0500, #930303);
+  background-image: -ms-linear-gradient(top, #5f0500, #930303);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #5f0500), color-stop(100%, #930303));
+  background-image: -webkit-linear-gradient(top, #5f0500, #930303);
+  background-image: -o-linear-gradient(top, #5f0500, #930303);
+  background-image: linear-gradient(top, #5f0500, #930303);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#5f0500', endColorstr='#930303', GradientType=0);
 }
 
 .topbar div > ul .active > a, .nav .active > a {
-  background-color: #8A0474;
+  background-color: #930303;
 }
 
 .topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #8A0474;
+  background-color: #930303;
 }
 
 .topbar div > ul a:hover, .nav a:hover {
-  background-color: #8A0474;
+  background-color: #930303;
 }
 
@@ -29,5 +29,5 @@
 .topbar div > ul .dropdown-menu,
 .nav .dropdown-menu {
-  background-color: #8A0474;
+  background-color: #930303;
 }
 
@@ -40,5 +40,5 @@
 .topbar div > ul .dropdown.open .dropdown-toggle,
 .nav .dropdown.open .dropdown-toggle {
-  background: #8A0474;
+  background: #930303;
 }
 
@@ -50,22 +50,26 @@
 .topbar div > ul .dropdown-menu li a:hover,
 .nav .dropdown-menu li a:hover {
-  background-color: #4e0242;
+  background-color: #5f0500;
   background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#8A0474), to(#191919));
-  background-image: -moz-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -ms-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #4e0242));
-  background-image: -webkit-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -o-linear-gradient(top, #4e0242, #4e0242);
-  background-image: linear-gradient(top, #4e0242, #4e0242);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#4e0242', GradientType=0);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#930303), to(#191919));
+  background-image: -moz-linear-gradient(top, #5f0500, #5f0500);
+  background-image: -ms-linear-gradient(top, #5f0500, #5f0500);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #5f0500), color-stop(100%, #5f0500));
+  background-image: -webkit-linear-gradient(top, #5f0500, #5f0500);
+  background-image: -o-linear-gradient(top, #5f0500, #5f0500);
+  background-image: linear-gradient(top, #5f0500, #5f0500);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#5f0500', endColorstr='#5f0500', GradientType=0);
   color: #ffffff;
 }
 
 a {
-  color: #8A0474;
+  color: #930303;
 }
 
 a:hover {
-  color: #4e0242;
+  color: #5f0500;
 }
+
+.topbar a {
+    color: white;
+}