Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/applicant.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/applicant.py	(revision 8460)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.applicant import Applicant, ApplicantFactory
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import(
+from waeup.fceokene.applicants.interfaces import(
     ICustomApplicant, IUGApplicantEdit, IPGApplicantEdit)
 
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/batching.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/batching.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/batching.py	(revision 8460)
@@ -21,5 +21,5 @@
 from waeup.kofa.utils.batching import BatchProcessor
 from waeup.kofa.applicants.batching import ApplicantProcessor
-from waeup.uniben.applicants.interfaces import ICustomApplicant
+from waeup.fceokene.applicants.interfaces import ICustomApplicant
 
 class CustomApplicantProcessor(ApplicantProcessor):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/browser.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/browser.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/browser.py	(revision 8460)
@@ -35,8 +35,8 @@
     PaymentReceiptActionButton)
 from waeup.kofa.applicants.pdf import PDFApplicationSlip
-from waeup.uniben.applicants.interfaces import (
+from waeup.fceokene.applicants.interfaces import (
     IPGApplicant, IUGApplicant, IPGApplicantEdit, IUGApplicantEdit,
     ICustomApplicantOnlinePayment)
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.fceokene.interfaces import MessageFactory as _
 
 #class RequestCallbackActionButton(RequestCallbackActionButton):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/export.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/export.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/export.py	(revision 8460)
@@ -21,5 +21,5 @@
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
 from waeup.kofa.applicants.export import ApplicantsExporter
-from waeup.uniben.applicants.interfaces import IUGApplicant, IPGApplicant
+from waeup.fceokene.applicants.interfaces import IUGApplicant, IPGApplicant
 
 class CustomApplicantsExporter(ApplicantsExporter):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 8460)
@@ -27,8 +27,8 @@
 from waeup.kofa.schema import FormattedDate
 from waeup.kofa.students.vocabularies import nats_vocab
-from waeup.uniben.interfaces import (
+from waeup.fceokene.interfaces import (
     lgas_vocab, high_qual, high_grade, exam_types)
-from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.payments.interfaces import ICustomOnlinePayment
+from waeup.fceokene.interfaces import MessageFactory as _
+from waeup.fceokene.payments.interfaces import ICustomOnlinePayment
 
 class IUGApplicant(IApplicantBaseData):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/payment.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/payment.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/payment.py	(revision 8460)
@@ -24,5 +24,5 @@
 from waeup.kofa.applicants.payment import ApplicantOnlinePayment
 from waeup.kofa.utils.helpers import attrs_to_fields
-from waeup.uniben.applicants.interfaces import ICustomApplicantOnlinePayment
+from waeup.fceokene.applicants.interfaces import ICustomApplicantOnlinePayment
 
 class CustomApplicantOnlinePayment(ApplicantOnlinePayment):
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/tests.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/tests.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/tests.py	(revision 8460)
@@ -33,6 +33,6 @@
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
 from waeup.kofa.interfaces import IBatchProcessor
-from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.applicants.export import CustomApplicantsExporter
+from waeup.fceokene.testing import FunctionalLayer
+from waeup.fceokene.applicants.export import CustomApplicantsExporter
 
 
Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/utils.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/uniben/applicants/utils.py	(revision 8459)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/utils.py	(revision 8460)
@@ -23,5 +23,5 @@
 from hurry.workflow.interfaces import IWorkflowInfo, InvalidTransitionError
 from waeup.kofa.applicants.utils import ApplicantsUtils
-from waeup.uniben.interfaces import MessageFactory as _
+from waeup.fceokene.interfaces import MessageFactory as _
 
 