Index: main/waeup.fceokene/trunk/src/waeup/fceokene/browser/static/custom_theme.css
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/browser/static/custom_theme.css	(revision 8463)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/browser/static/custom_theme.css	(revision 8465)
@@ -1,25 +1,27 @@
+/* Original colors, dark blue: #426ab2,light blue: #779ce2 */
+
 .topbar-inner, .topbar .fill {
-  background-color: #8A0474;
-  background-image: -moz-linear-gradient(center top , #4e0242, #8A0474);
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#4e0242), to(#8A0474));
-  background-image: -moz-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -ms-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #8A0474));
-  background-image: -webkit-linear-gradient(top, #4e0242, #8A0474);
-  background-image: -o-linear-gradient(top, #4e0242, #8A0474);
-  background-image: linear-gradient(top, #4e0242, #8A0474);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#8A0474', GradientType=0);
+  background-color: #325088;
+  background-image: -moz-linear-gradient(center top , #082250, #325088);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#082250), to(#325088));
+  background-image: -moz-linear-gradient(top, #082250, #325088);
+  background-image: -ms-linear-gradient(top, #082250, #325088);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #325088));
+  background-image: -webkit-linear-gradient(top, #082250, #325088);
+  background-image: -o-linear-gradient(top, #082250, #325088);
+  background-image: linear-gradient(top, #082250, #325088);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#325088', GradientType=0);
 }
 
 .topbar div > ul .active > a, .nav .active > a {
-  background-color: #8A0474;
+  background-color: #325088;
 }
 
 .topbar h3 a:hover, .topbar .brand:hover, .topbar ul .active > a {
-  background-color: #8A0474;
+  background-color: #325088;
 }
 
 .topbar div > ul a:hover, .nav a:hover {
-  background-color: #8A0474;
+  background-color: #325088;
 }
 
@@ -29,5 +31,5 @@
 .topbar div > ul .dropdown-menu,
 .nav .dropdown-menu {
-  background-color: #8A0474;
+  background-color: #325088;
 }
 
@@ -40,9 +42,16 @@
 .topbar div > ul .dropdown.open .dropdown-toggle,
 .nav .dropdown.open .dropdown-toggle {
-  background: #8A0474;
+  background: #325088;
 }
 
+/* Original background color */
+/*
 body {
-  background-color: #f3eff2;
+  background-color: #F6F6D9;
+}
+*/
+
+body {
+  background-color: #f1f1f1;
 }
 
@@ -51,22 +60,26 @@
 .topbar div > ul .dropdown-menu li a:hover,
 .nav .dropdown-menu li a:hover {
-  background-color: #4e0242;
+  background-color: #082250;
   background-repeat: repeat-x;
-  background-image: -khtml-gradient(linear, left top, left bottom, from(#8A0474), to(#191919));
-  background-image: -moz-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -ms-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #4e0242), color-stop(100%, #4e0242));
-  background-image: -webkit-linear-gradient(top, #4e0242, #4e0242);
-  background-image: -o-linear-gradient(top, #4e0242, #4e0242);
-  background-image: linear-gradient(top, #4e0242, #4e0242);
-  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#4e0242', endColorstr='#4e0242', GradientType=0);
+  background-image: -khtml-gradient(linear, left top, left bottom, from(#325088), to(#191919));
+  background-image: -moz-linear-gradient(top, #082250, #082250);
+  background-image: -ms-linear-gradient(top, #082250, #082250);
+  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #082250), color-stop(100%, #082250));
+  background-image: -webkit-linear-gradient(top, #082250, #082250);
+  background-image: -o-linear-gradient(top, #082250, #082250);
+  background-image: linear-gradient(top, #082250, #082250);
+  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#082250', endColorstr='#082250', GradientType=0);
   color: #ffffff;
 }
 
 a {
-  color: #8A0474;
+  color: #082250;
 }
 
 a:hover {
-  color: #4e0242;
+  color: #325088;
 }
+
+.topbar a {
+    color: white;
+}