Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8528)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8529)
@@ -1203,13 +1203,7 @@
     show_button = _(u'Show')
 
-    def update(self, show=None, logname=None, back=None):
-        session = ISession(self.request)['waeup.kofa']
+    def update(self, back=None):
         if back is not None:
             self.redirect(self.url(self.context))
-            return
-        if logname is not None:
-            session['logname'] = logname
-        if show is not None:
-            self.redirect(self.url(self.context, '@@show'))
             return
         self.files = self.context.getLogFiles()
@@ -1224,9 +1218,10 @@
     search_button = _('Search')
     back_button = _('Back')
+    placeholder = _('Enter a regular expression here...')
 
     def label(self):
         return "Logfile %s" % self.filename
 
-    def update(self, back=None, query=None):
+    def update(self, back=None, query=None, logname=None):
         if os.name != 'posix':
             self.flash(
@@ -1235,21 +1230,19 @@
             self.redirect(self.url(self.context, '@@logs'))
             return
-        session = ISession(self.request)['waeup.kofa']
-        logname = session.get('logname', None)
         if back is not None or logname is None:
             self.redirect(self.url(self.context, '@@logs'))
             return
         self.filename = logname
-        form = self.request.form
-        self.query = ''
-        query = form.get('query')
+        self.query = query
         if search is None or not query:
             return
-        self.query = query
         try:
-            self.grepresult = ''.join(
+            self.result = ''.join(
                 self.context.queryLogfiles(logname, query))
         except ValueError:
-            self.flash(_('Not a valid search expression.' ))
+            self.flash(_('Invalid search expression.'))
+            return
+        if not self.result:
+            self.flash(_('No search results found.'))
         return
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterimport4page.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterimport4page.pt	(revision 8528)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterimport4page.pt	(revision 8529)
@@ -17,5 +17,8 @@
   <input class="btn primary" type="submit" name="finish"
     tal:attributes="value view/back_button" />
+</form>
+<form method="POST" i18n:domain="waeup.kofa" action="@@show">
   <input class="btn" type="submit" name="showlog"
     tal:attributes="value view/show_button" />
+  <input type="hidden" name="logname" tal:attributes="value string:datacenter.log" />
 </form>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 8528)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogspage.pt	(revision 8529)
@@ -3,5 +3,5 @@
   Currently no log files are available.
   </p>
-  <table tal:condition="files" class="condensed-table">
+  <table tal:condition="files" class="table condensed-table">
     <thead>
       <tr>
@@ -20,8 +20,9 @@
           tal:attributes="class python: repeat['file'].odd() and 'odd' or 'even'">
         <td class="text-center">
-          <form method="POST">
-            <input i18n:translate="" type="submit" class="btn primary" name="show"
-                tal:attributes="value view/show_button" />
-            <input type="hidden" name="logname" tal:attributes="value file/name" />
+          <form method="POST" action="@@show">
+            <input i18n:translate="" type="submit" class="btn primary"
+		   name="show" tal:attributes="value view/show_button" />
+            <input type="hidden" name="logname"
+		   tal:attributes="value file/name" />
           </form></td>
         <td tal:content="file/name">file.name</td>
@@ -32,4 +33,8 @@
   </table>
   <form method="POST">
+    <button class="btn primary">
+      <img tal:attributes="src static/actionicon_reload.png" />
+      <span i18n:translate="">Reload Page</span>
+    </button>
     <input i18n:translate="" type="submit" class="btn" name="back"
         tal:attributes="value view/back_button"/>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 8528)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/templates/datacenterlogsshowfilepage.pt	(revision 8529)
@@ -1,13 +1,15 @@
-<form method="post">
+<form method="post" class="form-horizontal">
   <input type="text" name="query"
-	 tal:attributes="value view/query" />
-    <input class="btn primary" type="submit" name="search"
-      tal:attributes="value view/search_button"/>
-    <input class="btn" type="submit" name="back"
-      tal:attributes="value view/back_button"/>
+	 tal:attributes="value view/query; placeholder view/placeholder" />
+  <input class="btn primary" type="submit" name="search"
+	 tal:attributes="value view/search_button" />
+  <input class="btn" type="submit" name="back"
+	 tal:attributes="value view/back_button" />
+  <input type="hidden" name="logname"
+	 tal:attributes="value view/filename" />
 </form>
 
-<div tal:condition="view/grepresult|nothing">
-  <pre tal:content="structure view/grepresult">
+<div tal:condition="view/result|nothing">
+  <pre tal:content="structure view/result">
     GREPRESULT
   </pre>