Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8534)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8535)
@@ -40,5 +40,5 @@
 PUTME_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + (
     'firstname', 'middlename', 'lastname', 'sex',
-    'course1', 'lga', 'jambscore')
+    'course1', 'lga', 'jamb_score', 'jamb_subjects')
 
 PG_OMIT_DISPLAY_FIELDS = ('locked', 'course_admitted', 'password')
@@ -80,13 +80,12 @@
         required = False,
         )
-    jambscore = schema.Int(
-        title = _(u'JAMB Score'),
-        required = False,
-        )
-
-
-# More fields
-
-
+    jamb_subjects = schema.Text(
+        title = _(u'Subjects and Scores'),
+        required = False,
+        )
+    jamb_score = schema.Int(
+        title = _(u'Total Score'),
+        required = False,
+        )
     notice = schema.Text(
         title = _(u'Notice'),
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py	(revision 8534)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py	(revision 8535)
@@ -254,5 +254,6 @@
             'emp_reason,emp_start,employer,employer2,firstname,history,'
             'hq_degree,hq_disc,hq_matric_no,hq_school,hq_session,hq_type,'
-            'jambscore,lastname,lga,locked,middlename,nationality,notice,nysc_lga,'
+            'jamb_score,jamb_subjects,lastname,lga,locked,middlename,'
+            'nationality,notice,nysc_lga,'
             'nysc_year,password,perm_address,phone,pp_school,presently_inst,'
             'reg_number,screening_score,screening_venue,sex,state,student_id,'
@@ -260,5 +261,5 @@
             in result)
         self.assertTrue(
-            'Application initialized by system\'],,,,,,,,Tester,,0,M.,,'
+            'Application initialized by system\'],,,,,,,,,Tester,,0,M.,,'
             '"Some notice\nin lines.",,,any password,,+234-123-12345,,,'
             '123456,98,Exam Room,f,initialized,,dp2011' in result)
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py	(revision 8534)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/utils.py	(revision 8535)
@@ -53,20 +53,7 @@
         'form.nysc_year': _(u'NYSC Information'),
         'form.employer': _(u'Employment History'),
-        'form.jambscore': _(u'JAMB Data'),
+        'form.jamb_subjects': _(u'JAMB Data'),
         'form.notice': _(u'Application Process Information'),
         'form.pp_school': _(u'Post Primary School Qualification'),
         'form.presently_inst': _(u'Presently attending a course or programme'),
         }
-
-    def setPaymentDetails(self, container, payment):
-        """Set the payment data of an applicant.
-        """
-        timestamp = "%d" % int(time()*1000)
-        payment.p_id = "p%s" % timestamp
-        payment.p_item = container.title
-        payment.p_session = container.year
-        payment.p_category = 'application'
-        # We are using the container specific application fee
-        # instead of the session configuration application fee.
-        payment.amount_auth = container.application_fee
-        return None
Index: main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 8534)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 8535)
@@ -102,5 +102,5 @@
 
     application_fee = schema.Float(
-        title = _(u'Application Fee (ignored)'),
+        title = _(u'Application Fee (fallback)'),
         default = 0.0,
         required = False,