Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8562)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8563)
@@ -286,4 +286,16 @@
         return self.context.p_id
 
+class ApplicantsStatisticsPage(KofaDisplayFormPage):
+    """Some statistics about applicants in a container.
+    """
+    grok.context(IApplicantsContainer)
+    grok.name('statistics')
+    grok.require('waeup.manageApplication')
+    grok.template('applicantcontainerstatistics')
+
+    @property
+    def label(self):
+        return "%s" % self.context.title
+
 class ApplicantsContainerPage(KofaDisplayFormPage):
     """The standard view for regular applicant containers.
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt	(revision 8563)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantcontainerstatistics.pt	(revision 8563)
@@ -0,0 +1,18 @@
+<h2 i18n:domain="waeup.kofa">Container Statistics</h2>
+
+<table i18n:domain="waeup.kofa">
+  <thead>
+    <tr>
+      <th i18n:translate="">Application State</th>
+      <th i18n:translate="">Number of Applicants</th>
+    </tr>
+  </thead>
+  <tbody>
+    <tr tal:repeat="state python:('initialized',
+        'started','paid','submitted','admitted','not admitted',
+        'created')">
+      <td tal:content="state">STATE</td>
+      <td tal:content="python:context.statistics[state] ">NUMBER</td>
+    </tr>
+  </tbody>
+</table>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 8562)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/container.py	(revision 8563)
@@ -28,4 +28,6 @@
     )
 from waeup.kofa.utils.helpers import attrs_to_fields
+from waeup.kofa.applicants.workflow import (INITIALIZED,
+    STARTED, PAID, ADMITTED, NOT_ADMITTED, SUBMITTED, CREATED)
 
 def generate_applicant_id(container=None):
@@ -95,4 +97,12 @@
         return
 
+    @property
+    def statistics(self):
+        statistics = {INITIALIZED:0, STARTED:0, PAID:0, SUBMITTED:0,
+            ADMITTED:0, NOT_ADMITTED:0, CREATED:0}
+        for key in self.keys():
+            statistics[self[key].state] += 1
+        return statistics
+
 ApplicantsContainer = attrs_to_fields(ApplicantsContainer)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 8562)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/viewlets.py	(revision 8563)
@@ -23,9 +23,10 @@
 from waeup.kofa.applicants.interfaces import (
     IApplicant, IApplicantsRoot, IApplicantsContainer,
-    IApplicantOnlinePayment,
+    IApplicantOnlinePayment
     )
 from waeup.kofa.applicants.browser import (
     ApplicantsRootPage, ApplicantsContainerPage, ApplicantManageFormPage,
-    ApplicantDisplayFormPage, OnlinePaymentDisplayFormPage
+    ApplicantDisplayFormPage, OnlinePaymentDisplayFormPage,
+    ApplicantsContainerManageFormPage, ApplicantsStatisticsPage
     )
 
@@ -98,13 +99,6 @@
     text = _('Manage application section')
 
-#class ApplicantsContainerManageActionButton(ManageActionButton):
-#    grok.order(1)
-#    grok.context(IApplicantsContainer)
-#    grok.view(ApplicantsContainerPage)
-#    grok.require('waeup.manageApplication')
-#    text = _('Manage application records')
-
 class ApplicantRegisterActionButton(ManageActionButton):
-    grok.order(2)
+    grok.order(1)
     grok.context(IApplicantsContainer)
     grok.view(ApplicantsContainerPage)
@@ -114,4 +108,25 @@
     target = 'register'
 
+class ApplicantsContainerStatisticsActionButton(ManageActionButton):
+    grok.order(1)
+    grok.context(IApplicantsContainer)
+    grok.view(ApplicantsContainerManageFormPage)
+    grok.require('waeup.manageApplication')
+    icon = 'actionicon_statistics.png'
+    text = _('Container statistics')
+    target = 'statistics'
+
+class ApplicantsContainerStatisticsActionButton2(ApplicantsContainerStatisticsActionButton):
+    grok.order(3)
+    grok.view(ApplicantsContainerPage)
+
+class ApplicantsContainerManageActionButton(ManageActionButton):
+    grok.order(2)
+    grok.context(IApplicantsContainer)
+    grok.view(ApplicantsContainerPage)
+    grok.require('waeup.manageApplication')
+    text = _('Manage container')
+    target = 'manage'
+
 class ApplicantViewActionButton(ManageActionButton):
     grok.context(IApplicant)