Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/browser.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/browser.py	(revision 8565)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/browser.py	(revision 8566)
@@ -39,4 +39,5 @@
     ICustomApplicantOnlinePayment, IPUTMEApplicantEdit,
     UG_OMIT_DISPLAY_FIELDS, PG_OMIT_DISPLAY_FIELDS,
+    UG_OMIT_PDF_FIELDS, PG_OMIT_PDF_FIELDS,
     UG_OMIT_MANAGE_FIELDS, PG_OMIT_MANAGE_FIELDS,
     UG_OMIT_EDIT_FIELDS, PG_OMIT_EDIT_FIELDS, PUTME_OMIT_EDIT_FIELDS)
@@ -64,4 +65,7 @@
 class CustomPDFApplicationSlip(PDFApplicationSlip):
 
+    note = _(u'<br /><br /><br />'
+              'Comfirm your exam venue 72 hours to the exam.')
+
     @property
     def form_fields(self):
@@ -69,9 +73,9 @@
         if target is not None and target.startswith('pg'):
             form_fields = grok.AutoFields(IPGApplicant)
-            for field in PG_OMIT_DISPLAY_FIELDS:
+            for field in PG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
         else:
             form_fields = grok.AutoFields(IUGApplicant)
-            for field in UG_OMIT_DISPLAY_FIELDS:
+            for field in UG_OMIT_PDF_FIELDS:
                 form_fields = form_fields.omit(field)
         return form_fields
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 8565)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/interfaces.py	(revision 8566)
@@ -35,7 +35,8 @@
 
 UG_OMIT_DISPLAY_FIELDS = ('locked', 'course_admitted', 'password')
+UG_OMIT_PDF_FIELDS = UG_OMIT_DISPLAY_FIELDS + ('email', 'phone')
 UG_OMIT_MANAGE_FIELDS = ()
 UG_OMIT_EDIT_FIELDS = UG_OMIT_MANAGE_FIELDS + ('locked', 'course_admitted',
-    'student_id', 'screening_score', 'screening_venue')
+    'student_id', 'screening_score', 'screening_venue', 'notice')
 PUTME_OMIT_EDIT_FIELDS = UG_OMIT_EDIT_FIELDS + (
     'firstname', 'middlename', 'lastname', 'sex',
@@ -43,8 +44,9 @@
 
 PG_OMIT_DISPLAY_FIELDS = ('locked', 'course_admitted', 'password')
+PG_OMIT_PDF_FIELDS = UG_OMIT_DISPLAY_FIELDS + ('email', 'phone')
 PG_OMIT_MANAGE_FIELDS = ()
 PG_OMIT_EDIT_FIELDS = PG_OMIT_MANAGE_FIELDS + (
     'locked', 'course_admitted',
-    'student_id', 'screening_score', 'screening_venue')
+    'student_id', 'screening_score', 'screening_venue', 'notice')
 
 class IUGApplicant(IApplicantBaseData):
@@ -349,5 +351,12 @@
         constraint=validate_email,
         )
-
+    date_of_birth = FormattedDate(
+        title = _(u'Date of Birth'),
+        required = True,
+        show_year = True,
+        )
+
+IPUTMEApplicantEdit[
+    'date_of_birth'].order =  IUGApplicant['date_of_birth'].order
 IPUTMEApplicantEdit[
     'email'].order =  IUGApplicant['email'].order
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/utils.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/utils.py	(revision 8565)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/utils.py	(revision 8566)
@@ -34,7 +34,7 @@
         'pude': ['Post UDE Screening', 'PUDE'],
         'prence': ['Pre-NCE Programme', 'PRE'],
-        'sandwich': ['Part Time Degree in Education', 'SAND'],
+        'sandwich': ['Part-Time Degree in Education', 'SAND'],
         'pt': ['Part-Time Degree Programmes', 'PTP'],
-        'putme': ['Post UTME Screening Test', 'PUTME'],
+        'putme': ['Post-UTME Screening Exercise', 'PUTME'],
         'app': ['General Studies', 'APP'],
         'cest': ['Common Entry Screening Test', 'CEST'],
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py	(revision 8565)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/utils/utils.py	(revision 8566)
@@ -40,7 +40,4 @@
 
     PREFERRED_LANGUAGES_DICT = {
-        'en':(1, u'English'),
-        'fr':(2, u'Fran&ccedil;ais'),
-        'de':(3, u'Deutsch'),
         }
 
@@ -182,5 +179,4 @@
         'pg_pt': 'Postgraduate Part Time',
         'jm_ft': 'Joint Matriculation Full Time',
-        'utme_ft': 'UTME Full Time',
         'de_ft': 'Direct Entry Full Time',
         'ph_ft': 'Post Higher Education Full Time',